import { IQueryData } from '../store/interfaces/dataInterfaces';
export interface IDataOptions {
    key?: string;
    query: string;
    queryParams: any | (() => any);
    publicQuery: boolean;
    notReady?: boolean | ((queryParams: any) => boolean);
}
declare const useKamandData: (options: IDataOptions) => {
    queryData: IQueryData;
    queryParams: any;
    refreshHandler: () => void;
};
export default useKamandData;
