import { observable, decorate, action } from 'mobx';
var DataRelation = /** @class */ (function () {
    function DataRelation(data) {
        this.data = observable.array([], { deep: false });
        this.data.replace(data);
    }
    DataRelation.prototype.add = function (d) {
        this.data.push(d);
    };
    DataRelation.prototype.remove = function (index) {
        this.data.splice(index, 1);
    };
    return DataRelation;
}());
export { DataRelation };
decorate(DataRelation, {
    add: action,
    remove: action,
});
